## netbox 3.4.9

=== requirements.txt ===
bleach==5.0.1
Django==4.1.8
django-cors-headers==3.14.0
django-debug-toolbar==4.0.0
django-filter==23.1
django-graphiql-debug-toolbar==0.2.0
django-mptt==0.14
django-pglocks==1.0.4
django-prometheus==2.2.0
django-redis==5.2.0
django-rich==1.5.0
django-rq==2.7.0
django-tables2==2.5.3
django-taggit==3.1.0
django-timezone-field==5.0
djangorestframework==3.14.0
drf-yasg[validation]==1.21.5
graphene-django==3.0.0
gunicorn==20.1.0
Jinja2==3.1.2
Markdown==3.3.7
mkdocs-material==9.1.8
mkdocstrings[python-legacy]==0.21.2
netaddr==0.8.0
Pillow==9.5.0
psycopg2-binary==2.9.6
PyYAML==6.0
sentry-sdk==1.21.0
social-auth-app-django==5.0.0
social-auth-core[openidconnect]==4.4.2
svgwrite==1.4.3
tablib==3.4.0
tzdata==2023.3

# Workaround for #7401
jsonschema==3.2.0

=== debian/changelog ===
netbox (3.4.9-1) UNRELEASED; urgency=medium

  * [4be13d7] New upstream version 3.4.9

 -- Sebastian Mogl <sebastian.mogl@treuchtlingen.de>  Thu, 27 Apr 2023 14:30:34 +0200

netbox (3.4.6-1~exp1) experimental; urgency=medium

  * [888932d] New upstream version 3.4.6
  * [f418b85] Rebuild patch queue from patch-queue branch
    Removed patch (obsolete):
    debian-hacks/env-Use-python3-as-environment.patch
  * [fd7a2c3] d/README.Debian: Small rework on the README file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 14 Mar 2023 19:48:59 +0100

netbox (3.4.5-1~exp1) experimental; urgency=medium

  * [4533bd7] New upstream version 3.4.5
  * [2adeb93] d/control: Move dh-sequence-python3 to B-D
  * [76b7adb] d/control: Bump some versions of Build-Depends
  * [4f20e39] d/control: Bump package versions on binary package
  * [49c997d] Lintian: Drop d/s/lintian-overrides
  * [e922451] d/control: Bump Standards-Version to 4.6.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Mar 2023 20:45:18 +0100

netbox (3.3.9-1~exp1) unstable; urgency=medium

  * [fa49452] New upstream version 3.3.9
  * [dc9baa0] d/{control,rules}: Use dh-sequence-python3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 04 Dec 2022 07:17:20 +0100

netbox (3.3.8-1~exp1) unstable; urgency=medium

  * [c7edc31] New upstream version 3.3.8

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 28 Nov 2022 13:04:26 +0100

netbox (3.3.7-1~exp1) unstable; urgency=medium

  * [6710a50] d/README.Debian: Some additions for coherent CLI calls
  * [8647ee0] New upstream version 3.3.7

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Nov 2022 18:41:51 +0100

netbox (3.3.6-1~exp1) unstable; urgency=medium

  * [137a229] d/control: Bump Standards-Version to 4.6.1
  * [4866093] d/control: Move source package to section non-free/python
  * [6137e11] Lintian: Ignore shipped fonts
  * [154faed] d/copyright: Add some more files
  * [eac6f38] d/README.source: Add some more information
  * [c2bc92e] d/README.Debian: Some small reworks
  * [ff02c8a] d/control: Update package description
  * [5e92756] d/netbox.postinst: Comment out unused code
  * [beddd0e] d/netbox.service: Add access handling to unit
  * [46bab97] Lintian: Ignore message about flatpickr.js
  * [c7e810d] d/nb-adm.py: Use f formatted strings, add more checking
  * [c580d95] New upstream version 3.3.6
  * [864b86b] Rebuild patch queue from patch-queue branch
    Adjusted patch:
    debian-hacks/mkdocs-Don-t-depend-on-pymdownx.emoji.patch
  * [537e8b9] d/control: netbox - Add new dep on python3-django-rich
  * [26f52e0] d/README.Debian: Partially updating due PostgreSQL 15

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Oct 2022 16:05:27 +0200

netbox (3.2.8-1~exp1) unstable; urgency=medium

  * [f7aa863] New upstream version 3.2.8
  * [7ff35d8] Lintian: Ignore all the docs/* files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 10 Aug 2022 23:47:34 +0200

netbox (3.2.7-1~exp1) UNRELEASED; urgency=medium

  * [5d96655] New upstream version 3.2.7
  * [11192c0 d/control: Increase required version p-d-graphiql-debug-toolbar

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 24 Jul 2022 23:39:03 -0400

netbox (3.2.6-1~exp1) UNRELEASED; urgency=medium

  * [9db6ce5] d/control: Ensure correct versions for *social-auth*
  * [9e4ab0f] d/control: Extends deps on python3-sentry-sdk
  * [09fc47a] Revert "Rebuild patch-queue from patch queue branch"
  * [d7e07f7] d/netbox.lintian-overrides: Update/adjust content
  * [d679ee8] New upstream version 3.2.6
  * [7fe005d] d/control: Add new B-D and binary dep on python3-bleach

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 11 Jul 2022 20:30:47 +0200

netbox (3.2.4-1~exp1) UNRELEASED; urgency=medium

  * [7230208] New upstream version 3.2.4
  * [7793f6e] Rebuild patch-queue from patch queue branch
  * [96381cc] d/control: Adjust mkdocstrings related package requirements
  * [9b2b0b2] netbox*.service: Adopt upstream documentation URL

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Jun 2022 16:19:25 +0200

netbox (3.2.1-1~exp1) UNRELEASED; urgency=medium

  * [812b8dc] d/control: Add tzdata to package dependencies
  * [8367124] New upstream version 3.2.1
  * [a5b874e] d/control: Add more new build dependencies
  * [fc8ad6a] d/rules: Adjust configuration file names to remove
  * [2744e20] d/netbox.examples: Also adjust the conf file names here
  * [1917169] d/rules: Add additional preparation for doc build
  * [fb49811] d/README.Debian: Adding hint about wrong database encoding

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 18 Apr 2022 21:08:46 +0200

netbox (3.1.11-1~exp1) UNRELEASED; urgency=medium

  * [b4af0d6] New upstream version 3.1.11
  * [451d4ba] Drop now useless files include-binaries
  * [736246a] d/netbox.lintian-overrides: Ignore netbox docu files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 08 Apr 2022 20:17:45 +0200

netbox (3.1.10-1~exp1) UNRELEASED; urgency=medium

  * [6d30800] New upstream version 3.1.10
  * [4c2663d] d/control: Remove obsolete testsuite field
  * [aecabe4] nb-adm.py: Error out if calls are not successful
  * [71fbb39] d/netbox.examples: Add configuration examples
  * [412c15d] d/rules: Remove configuration examples from installation
  * [f08d50c] d/rules: Remove more unneeded files from package
  * [56ca86a] d/netbox.install: Drop folder docs/ from list
  * [8ecc628] nb-adm.py: Raise an issue on missed config file
  * [bb25a2d] d/netbox.postinst: Run parts only if config is found
  * [afaa392] d/README.Debian: Rewrite after changing default inst

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Apr 2022 08:43:27 +0200

netbox (3.1.9-1~exp1) unstable; urgency=medium

  * [b585910] New upstream version 3.1.9
  * [27f5bd0] Rebuild patch-queue from patch queue branch
    Added patch:
    debian-hacks/mkdocs-Don-t-depend-on-pymdownx.emoji.patch
    Removed patch (obsolete now):


=== debian/control ===
Source: netbox
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: non-free/python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 mkdocs (>= 1.2.3),
 mkdocs-material-extensions,
 mkdocstrings,
 mkdocstrings-python-legacy (>= 0.2.3-1~),
 python3-bleach (>> 5.0.0),
 python3-django (>> 3:4.1),
 python3-django-cors-headers (>=3.7.0-1~),
 python3-django-debug-toolbar,
 python3-django-filters,
 python3-django-graphene (>> 3.0.0),
 python3-django-graphiql-debug-toolbar (>= 0.2.0-3~),
 python3-django-mptt,
 python3-django-prometheus,
 python3-django-rq,
 python3-django-tables2 (>=2.3.4-1~),
 python3-django-taggit (>=2.0.0-1~),
 python3-django-timezone-field,
 python3-djangorestframework,
 python3-drf-yasg-nonfree,
 python3-markdown-include,
 python3-netaddr,
 python3-psycopg2,
 python3-pymdownx,
 python3-sentry-sdk,
 python3-social-auth-core (>=4.2.0-1~),
 python3-social-django (>=5.0.0-1~),
 python3-svgwrite,
 python3-tablib (>=3.0.0-1~),
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/netbox
Vcs-Git: https://salsa.debian.org/python-team/packages/netbox.git
Homepage: https://github.com/netbox-community/netbox

Package: netbox
Architecture: all
Depends:
 adduser,
 gunicorn,
 libjs-jquery,
 python3-bleach (>> 5.0.0),
 python3-django (>> 3:4.1),
 python3-django-cacheops,
 python3-django-cors-headers (>=3.7.0-1~),
 python3-django-debug-toolbar,
 python3-django-filters,
 python3-django-graphene (>> 3.0.0),
 python3-django-graphiql-debug-toolbar (>= 0.2.0-3~),
 python3-django-mptt,
 python3-django-pglocks,
 python3-django-prometheus,
 python3-django-redis,
 python3-django-rich,
 python3-django-rq,
 python3-django-tables2 (>=2.3.4-1~),
 python3-django-taggit (>=2.0.0-1~),
 python3-django-timezone-field,
 python3-djangorestframework,
 python3-drf-yasg-nonfree,
 python3-gunicorn,
 python3-jinja2,
 python3-markdown,
 python3-netaddr,
 python3-pil,
 python3-psycopg2,
 python3-sentry-sdk,
 python3-social-auth-core (>=4.2.0-1~),
 python3-social-django (>=5.0.0-1~),
 python3-yaml,
 python3-svgwrite,
 python3-tablib (>=3.0.0-1~),
 tzdata,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 apache2,
 redis,
Description: Django IRM tool designed to manage and document computer networks
 NetBox is a Django based IRM (infrastructure resource modeling) web
 application together with a PostgreSQL database, initially conceived by the
 network engineering team at DigitalOcean, NetBox was developed specifically
 to address the needs of network and infrastructure engineers. It encompasses
 the following aspects of network management:
 .
  * Hierarchical regions, site groups, sites, and locations
  * Racks, devices, and device components
  * Cables and wireless connections
  * Power distribution
  * Data circuits and providers
  * Virtual machines and clusters
  * IP prefixes, ranges, and addresses
  * VRFs and route targets
  * FHRP groups (VRRP, HSRP, etc.)
  * AS numbers
  * VLANs and scoped VLAN groups
  * Organizational tenants and contacts
 .
 In addition to its extensive built-in models and functionality, NetBox can
 be customized and extended through the use of:
 .
  * Custom fields
  * Custom links
  * Configuration contexts
  * Custom model validation rules
  * Reports
  * Custom scripts
  * Export templates
  * Conditional webhooks
  * Plugins
  * Single sign-on (SSO) authentication
  * NAPALM integration
  * Detailed change logging
 .
 A public demo instance of NetBox is available at https://demo.netbox.dev.
 .
 NetBox also features a complete REST API as well as a GraphQL API for easily
 integrating with other tools and systems.
 .
 While NetBox strives to cover many areas of network management, the scope of
 its feature set is necessarily limited. This ensures that development focuses
 on core functionality and that scope creep is reasonably contained. To that
 end, it might help to provide some examples of functionality that NetBox does
 not provide:
 .
  * Network monitoring
  * DNS server
  * RADIUS server
  * Configuration management
  * Facilities management
 .
 This package contains the Django web application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_install:
	# The build of the documentation requires the existence of a basic
	# Django project configuration file which means we need to provide a secret
	# at least.
	cp netbox/netbox/configuration_example.py netbox/netbox/configuration.py
	SECRET=`python3 netbox/generate_secret_key.py` ;\
	    sed -i "s/^SECRET_KEY[[:blank:]]*=[[:blank:]]''/SECRET_KEY = '$${SECRET}'/g" netbox/netbox/configuration.py
	mkdocs -v build
	dh_install
	# Remove the upstream configuration files for NetBox, we ship them as
	# examples through /usr/share/doc/netbox/examples/ and the user can
	# pick the files from there if wanted.
	rm $(CURDIR)/debian/netbox/usr/share/netbox/netbox/netbox/configuration_example.py \
	   $(CURDIR)/debian/netbox/usr/share/netbox/netbox/netbox/configuration_testing.py \
	   $(CURDIR)/debian/netbox/usr/share/netbox/netbox/netbox/configuration.py

override_dh_fixperms:
	dh_fixperms
	for file in `find debian/netbox -type f \
	    \( -name "*.gitignore" -o -name "*.eslint*" -o -name "*.prettier*" -o -name "*.sassrc" -o -name "*yarn.lock" \)`; do \
	    rm -rf $${file} ;\
	done

=== debian/watch ===
# watch file for netbox

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/netbox-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/netbox-community/netbox.git \
      refs/tags/v(\d+\.\d+\.\d+(?:\.?beta[1-9])?)

## netbox manager-0.20250804.0

=== requirements.txt ===
GitPython==3.1.45
Jinja2==3.1.6
PyYAML==6.0.2
ansible-core==2.19.0
ansible-runner==2.4.1
dynaconf==3.2.11
loguru==0.7.3
pynetbox==7.5.0
setuptools==80.9.0
sushy==5.7.0
typer==0.16.0
yamale==6.0.0

## netbox ptov-0.1.27

=== Makefile ===
sources = NetBox ptov Plugin

.PHONY: test format lint unittest pre-commit clean
test: format lint unittest

format:
	isort $(sources) tests
	black $(sources) tests

lint:
	flake8 $(sources) tests

pre-commit:
	pre-commit run --all-files

clean:
	rm -rf *.egg-info
	rm -rf .tox dist site

=== docs/requirements.txt ===
myst-parser
netaddr
pyeapi
Pygments
pymdown-extensions
Sphinx
sphinx-autoapi
sphinx-rtd-theme
sphinx_mdinclude
sphinx_autodoc_typehints
python-docs-theme
docker
sphinx-pyproject

## netbox python-0.1.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-sources = NetBox ptov Plugin
+sources = NetBox Python
 
 .PHONY: test format lint unittest pre-commit clean
 test: format lint unittest

## netbox secrets-2.4.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
pycryptodome==3.23.0
    # via -r requirements.in
